# Uses of Interface
org.eclipse.jdt.junit.model.ITestElement

Packages that use ITestElement
Package
Description
org.eclipse.jdt.junit.model
Application programming interfaces representing test elements as shown in the JUnit view.

## Uses of ITestElement in org.eclipse.jdt.junit.model

Subinterfaces of ITestElement in org.eclipse.jdt.junit.model
Modifier and Type
Interface
Description
`interface`
`ITestCaseElement`
Represents a test case element.
`interface`
`ITestElementContainer`
Common protocol for test elements containers.
`interface`
`ITestRunSession`
Represents a test run session.
`interface`
`ITestSuiteElement`
Represents a test suite element.
Methods in org.eclipse.jdt.junit.model that return ITestElement
Modifier and Type
Method
Description
`ITestElement[]`
ITestElementContainer.`getChildren()`
Returns all tests (and test suites) contained in the suite.